(function()
{
	var jq = $.noConflict(true);

	/** Static helper - create div with less code */
	jq.div = function(cname)
	{
		return pwf.jquery('<div class="' + cname + '"/>');
	};


	/** Static helper - create span with less code */
	jq.span = function(cname)
	{
		return pwf.jquery('<span class="' + cname + '"/>');
	};


	/** Static helper - create icon with less code */
	jq.icon = function(name, size)
	{
		var
			size = typeof size == 'undefined' || size === null ? ['16', '16']:size.split('x'),
			w = typeof size[0] == 'undefined' ? null:parseInt(size[0]),
			h = typeof size[1] == 'undefined' ? null:parseInt(size[1]),
			icon = jq.span('icon icon-' + w + 'x' + h + ' icon-' + name);

		if (w !== null) icon.css('width', w);
		if (h !== null) icon.css('height', h);

		return icon;
	};


	/** Callback for sundays. Removes element attached to event by jQuery */
	jq.callback_remove = function()
	{
		pwf.jquery(this).remove();
	};


	/** HTML tag stripping */
	jq.fn.strip_tags = function()
	{
		return pwf.jquery(this.text());
	};


	/** Is attached to the document */
	jq.fn.is_attached = function()
	{
		return pwf.jquery(this).parents(':last').is('html');
	};


	if (typeof pwf == 'object') {
		/** Remove jQuery from global scope, so its' less obtrusive */
		pwf.register('jquery', jq, false);
	}

	if (typeof module != 'undefined') {
		module.exports = jq;
	}
}());
